QGIS Application - Bug report #12977
Change of CRS in QGIS causes crash/freeze in Composer
2015-06-16 07:38 AM - Nicholas Duggan

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.8.2 Regression?: No

Operating System: 2.8 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 21055
Description

If 1 open an [old] QGIS session which is linked to composer and change the coordinate system of the data frame if causes composer to
"hang" and can't be recovered.

I have a set of 10 QGIS templates so that | can quickly open and render maps, these are linked to composers which are drawn up in a
particular style. Unfortunately | sometimes have to work in different coordinate systems, when | change the data frame in QGIS | cannot
open the composer.

The coordinate systems being used are EPSG 27700, EPSG 4326, EPSG 3876 (web mercator)

| have tried this on both 2.8.2 & 2.9 nightly build with the same effect. The only work around is to delete the map frames from composer,
change the coordinate systems in QGIS and then rebuild the map frames in composer....a bit cumbersome.

History

#1 - 2015-06-17 06:58 AM - Giovanni Manghi
- Status changed from Open to Feedback

Maybe | didn't understand the necessary steps to cause the issue, but I'm not able to replicate it on ggis master. Could you please add a step by step list?
Thanks.

#2 - 2015-06-17 01:03 PM - Nicholas Duggan

Hi, workflow is as follows:

1. Open QGIS, apply coordinate system (web mercator) to map.

2. Open Print Composer

3. Create template (add map, text & overview map)

4. Save & close as .qgs file

5. Open .qgs file created

6. In map (main QGIS GUI) change coordinate system to EPSG 27700

7. Open Print composer (should already be available.

8. Wait......and wait.....and wait.....Print composer hangs with memory at 17% (on both i7 laptop & dell Xeon workstation)

This issue occurs with both the OSGEO4W builds of QGIS (2.8.2 & master) in Windows. This also occurs on other users machines within my office.

#3 - 2015-06-17 02:49 PM - Giovanni Manghi
Nicholas Duggan wrote:

Hi, workflow is as follows:

1. Open QGIS, apply coordinate system (web mercator) to map.

2. Open Print Composer

3. Create template (add map, text & overview map)

4. Save & close as .qgs file

5. Open .qgs file created

6. In map (main QGIS GUI) change coordinate system to EPSG 27700
7. Open Print composer (should already be available.

tried and cannot confirm on qgis master. Try a clean installation, no 3rd party plugins and provide a project with sample data. Thanks!

#4 - 2015-11-10 03:48 AM - Giovanni Manghi
- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback. Reopen if necessary.

Files

8. Wait......and wait.....and wait..... Print composer hangs with memory at 17% (on both i7 laptop & dell Xeon workstation)

A3_Landscape_Onshore_Right_Legend282.qgs 55.1 KB
